<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>GDC | SDLC </title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{{ static('bower_components/bootstrap/dist/css/bootstrap.min.css') }}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{{ static('bower_components/font-awesome/css/font-awesome.min.css') }}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{{ static('bower_components/Ionicons/css/ionicons.min.css') }}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ static('dist/css/AdminLTE.min.css') }}">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    </head>
    <body class="hold-transition register-page">
            {% if get_messages(request) %}
                
            <div class="modal fade" id="modal-default">
                <div class="modal-dialog">
                    <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">Mensajería</h4>
                    </div>
                    <div class="modal-body">
                            {% for message in get_messages(request) %}
                                <div class="alert alert-{{ message.tags }} alert-dismissible">
                                    <!-- <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> -->
                                    {% if message.tags == 'error' %}
                                        <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                                    {% elif message.tags == 'warning' %}
                                        <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                                    {% elif message.tags == 'success' %}
                                        <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                                    {% elif message.tags == 'info' %}
                                        <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                                    {% endif %}
                                    {{ message }}
                                </div>
                            {% endfor %}

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    </div>
                    </div>
                    <!-- /.modal-content -->
                </div>
                <!-- /.modal-dialog -->
            </div>
            {% endif %}

        <div class="login-box">
            <div class="login-logo">
                <a href="{{ url('cuenta:login')}}" title="Servicio Desconcentrado de la Lotería de Caracas."><b style="color:red;">GDC |</b> <b>SDLC</b> </a>
            </div>
            <!-- /.login-logo -->
            <div class="login-box-body">
                <p class="login-box-msg">Registrarse para iniciar sesión</p>
                {% if form.errors %}
                    <div class="alert alert-error alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                        <p>Sú usuario y clave no coinciden. Por favor intente de nuevo.</p>
                    </div>
                {% endif %}

                {% if next %}
                    {% if request.user.is_authenticated %}
                    <div class="alert alert-warning alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                        <p>Sú cuenta no tiene los privilegios necesarios para ingresar a esta página. Para continuar por favor ingrese con una cuenta que tenga los prievilegios requeridos.</p>
                    </div>
                    {% else %}
                    <div class="alert alert-info alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                        <p>Por favor ingrese para poder visitar esta página.</p>
                    </div>
                    {% endif %}
                {% endif %}

                <form action="" method="post">
                    <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                    <div class="form-group has-feedback">
                        <input type="text" name="username" class="form-control" autofocus required maxlength="254" id="id_username" placeholder="Nombre de usuario">
                        <span class="glyphicon glyphicon-user form-control-feedback"></span>
                        {% for error in form.username.errors %}
                            <span class="help-block">
                                <ul>
                                    <li class="text-red">{{ error }}</li>
                                </ul>
                            </span>
                        {% endfor %}
                    </div>
                    <div class="form-group has-feedback">
                        <input type="password" class="form-control" placeholder="Contraseña" name="password" required id="id_password">
                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                        {% for error in form.password.errors %}
                            <span class="help-block">
                                <ul>
                                    <li class="text-red">{{ error }}</li>
                                </ul>
                            </span>
                        {% endfor %}
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <button type="submit" class="btn btn-primary btn-block btn-flat">Ingresar</button>
                        </div>
                    </div>
                    {% if next != '' %}
                        <input type="hidden" name="next" value="{{ next }}">
                    {% else %}
                        <input type="hidden" name="next" value="{{ url('cuenta:home') }}">
                    {% endif %}
                </form>
                <!-- /.social-auth-links -->

                <a href="{{ url('cuenta:reiniciar-clave') }}">He olvidado mi contraseña</a><br>
                <a href="{{ url('cuenta:registro') }}" class="text-center">¿No posee una cuenta? ¡Registrese ahora!</a>

            </div>
            <!-- /.login-box-body -->
        </div>
          <!-- /.login-box -->

        <!-- jQuery 3 -->
        <script src="{{ static('bower_components/jquery/dist/jquery.min.js') }}"></script>
        <!-- Bootstrap 3.3.7 -->
        <script src="{{ static('bower_components/bootstrap/dist/js/bootstrap.min.js') }}"></script>
        <script>
        
        $(function () {
            $('#modal-default').modal('show');
        });
        
        </script>
    </body>
</html>
